System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

ASP.NET provides an extensibility mechanism for calling Web Services using SOAP. The extensibility mechanism revolves around a that can inspect or modify a message at specific stages in message processing on either the client or the server. This enumeration specifies the processing stage of the .

Specifies the processing stage of a SOAP message.

- Field
  System.Web.Services.Protocols.SoapMessageStage

  During processing, the stage occurs after the SOAP message containing the response from an XML Web service method invocation has been deserialized into an object, but prior to the client receiving the deserialized results.

  During processing, the stage occurs after a network request containing a SOAP message representing an XML Web service method invocation is deserialized into an object, but prior to the method on that object representing the XML Web service method is called.

  The stage just after a is deserialized from a SOAP message into an object.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Services.Protocols.SoapMessageStage

  During processing, the stage occurs after a client invokes an XML Web service method and the parameters are serialized into XML, but prior to the SOAP message containing that XML is sent over the network.

  During processing, the stage occurs after an XML Web service method returns and any return values are serialized into XML, but prior to the SOAP message containing that XML is sent over the network.

  The stage just after a is serialized, but before the SOAP message is sent over the wire.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Services.Protocols.SoapMessageStage

  During processing, the stage occurs after the network response from an XML Web service method invocation has been received, but just before the response containing the SOAP message is deserialized into an object.

  During processing, the stage occurs after a network request containing the SOAP message for an XML Web service method invocation is received by the Web server, but prior to the SOAP message being deserialized into an object.

  The stage just before a is deserialized from the SOAP message sent across the network into an object.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Services.Protocols.SoapMessageStage

  During processing, the stage occurs after a client invokes an XML Web service method, but prior to the invocation being serialized.

  During processing, the stage occurs after the invocation to the XML Web service method returns, but prior to the return values being serialized and sent over the wire back to the client.

  The stage just prior to a being serialized.

  1.0.5000.0
  2.0.0.0